# Login manager

A login manager is necessary for quickly entering a graphical enviroment. `greetd` and `greetd-tuigreet` make for a simple and secure login enviroment. Install them through:

```
# apk add greetd greetd-tuigreet
# rc-update add greetd default
```

`greetd` will not work right away because it doesn't know which "greeter" to launch. Configure it in `/etc/greetd/config.toml`:

```
[terminal]
vt = 7

[default_session]
command = "tuigreet --cmd 'dbus-run-session nixGL wayfire 2>&1 >/dev/null' -t --user-menu --power-shutdown 'doas /sbin/poweroff' --power-reboot 'doas /sbin/reboot'"

user = "greetd"
```

Now the login manager will automatically start a Wayfire session upon login.

To also enable power management on the login screen add the `greetd` user to the `_power` group:

```
# addgroup greetd _power
```
