# Window manager

Wayfire is a lightweight, functional and good looking wayland window manager which should have been installed during setup. Although normally Wayfire can be configured with the *Wayfire Config Manager* or through `.config/wayfire.ini` it now has to be done with the appropiate `home-manager` config file. 

Most applications which have to be auto started should already have been through `runit` which gets started upon logging into the Wayfire session. These "services" are located in `~/.service` and can be managed with the `sv` command.

## Quick overview

Here is an overview of a few of the services and applications which have been installed through `home-manager`:

### Applications

* *Fuzzel*, a fast and versatile application launcher (started with `<super> KEY_SPACE`). 

* *Nemo*, an feature rich file manager developed for the Cinnamon desktop (started with `<super> KEY_E`). 

* *File-roller*, an archive manager from Gnome which intergrates well with Nemo.

* *Evince*, a simple PDF viewer.

* *Pavu-control*, a volume controller. Although designed for PulseAudio also works well with Pipewire.

* *Firefox*, a popular open-source web-browser.

### Foreground services

* *Waybar*, a taskbar. it's wayland native and comes with most required functionality including a tray on which a few applets like the Bluetooth manager, USB manager and Network manager can reside.

* *WF-background*, a simple wallpaper daemon.

* *SwayNC*, a notification daemon and center (started with `<super> KEY_TAB`). It's very customisable and has a lot of features like Power Menus and Music players.

* *Pa-notify*, an audio level notifier. It simply displays the current audio level through a notification.

### Background services

* *Pipewire*, the audio backend. It's secure and relatively simple. It's is also responsible for screen-sharing in conjunction with XDPW. A few rights have to be given to the user to allow 

* *Kanshi*, the display daemon.

* *Playerctld*, a media control daemon. Required for things like the play-pause, next, previous buttons to function.

* *XDG-desktop-portal-wlroots*, a daemon which gives applications access to things like file-manager's and screen-sharing.

Most services can be configured in their appropriate `home-manager` configuration file.
