# Display configuration

To configure the displays of the systems it's necessary to either configure them through `.config/wayfire.ini` or use an external application like `kanshi`. 

To install kanshi:

```
# xbps-install -Sy kanshi
```

To actually change the display settings edit the `.config/kanshi/config` according to it's manpage. It should look something like:

```
profile <profile_name> {
    output "<display_1>" mode<horizontal_resolution>x<vertical_resolution>@<display_frequency> position <x_coordinate>,<y_coordinate>
    output "<display_2>" mode<horizontal_resolution>x<vertical_resolution>@<display_frequency> position <x_coordinate>,<y_coordinate>
}
```

And make sure `kanshi` gets started by Wayfire by adding it to auto start.

```
[autostart]
outputs = kanshi
```

## Color-temperature adjustment

For changing the day/night gamma install `wlsunset`.

```
# xbps-install -Sy wlsunset
```

Add it to Wayfire by auto starting it through:

```
[autostart]
gamma = wlsunset -l <latitude> -L <longitude> -t <color-temperature>
```

Change the latitude, longitude and color-temperature according to your location and preference.
