# Idle and lockscreen

Wayfire has a screensaver and dpms option. These may be configured by editing `.config/wayfire.ini`.

```
[idle]
screensaver_timeout = <timeout_screensaver>
dpms_timeout = <timeout_dpms>
```

Logically, `timeout_dpms` > `timeout_screensaver`.

`gtklock` is used as lockscreen, since it nicely matches the `gtkgreet` login manager.

```
# xbps-install -Sy gtklock
```

`gtklock` can be configured with the same `css` file as `gtkgreet`. Thereby:

```
# ln -s /etc/greetd/config/gtkgreet.css .config/gtklock/style.css
```

To initiate `gtklock` on suspend, `zzz-user-hooks` may be used.

```
# xbps-install -Sy zzz-user-hooks
```

To let `zzz-user-hooks` execute `gtklock` on suspend create and edit the file `.onsuspend`.

```
#!/bin/sh
exec gtklock -d
```

To make the file executable.

```
$ chmod 755 .onsuspend
```