# Notifications

## SwayNC

For a more robust notification deamon it's recommended to use SwayNotificationCenter which also provides a *notifications center* which can be heavily customised. 

To install SwayNC:

```
# xbps-install -Sy SwayNotificationCenter
```

SwayNC's functionality and looks can be edited through `.config/swaync/config.json` and `.config/swaync/style.css` .....

```
$ cp -r {config-files-repo}/swaync .config/
```

To use SwayNC make sure it gets started by Wayfire and to be able to toggle it's notification center also bind it in `.config/wayfire.ini`.

```
[autostart]
notifications = swaync

[command]
binding_swaync = <super> KEY_TAB
command_swaync = swaync-client -t -sw
```

Waybar can also be configured to display an icon for when there are unread notifications. In `.config/waybar/config` add:

```
        "modules-right": ["bluetooth","battery","tray","custom/notification"],
```

And

```
	"custom/notification": {
    	"tooltip": false,
    	"format": "{icon}",
   	"format-icons": {
      	"notification": "⭘<span foreground='red'><sup></sup></span>",
      	"none": "⭘",
      	"dnd-notification": "⭘<span foreground='red'><sup></sup></span>",
      	"dnd-none": "⭘",
      	"inhibited-notification": "⭘<span foreground='red'><sup></sup></span>",
      	"inhibited-none": "⭘",
      	"dnd-inhibited-notification": "⭘<span foreground='red'><sup></sup></span>",
      "dnd-inhibited-none": "⭘"
    },
```

## Mako

For a very minimal notification deamon it's recommended to use Mako. It can be used to display notifications from the session-bus.

To install it.

```
# xbps-install -Sy mako
```

Mako may be configured by editing `.config/mako/config`.

```
$ cp -r {config-files-repo}/mako .config/
```

Mako needs to be started by Wayfire in `.config/wayfire.ini`.

```
[autostart]
notifications = mako
```
