# Firmware and drivers

## GPU drivers

It is necessary for a graphical enviroment to install GPU drivers. To install the drivers for your GPU use one of the following commands:

### For Intel

```
# xbps-install -Sy linux-firmware-intel mesa mesa-dri vulkan-loader mesa-vulkan-intel intel-video-accel 
```

### For AMD

```
# xbps-install -Sy linux-firmware-amd vulkan-loader mesa-vulkan-radeon amdvlk xf86-video-amdgpu mesa-vaapi mesa-vdpau mesa-dri
```

### For Nvidia (*glibc only*)

```
# xbps-install -Sy nvidia nvidia-opencl
```

### 32-bit drivers

(Only applicable to glibc as Void Linux musl only supports 64-bit)

To run 32-bit applications like some videogames it will also be necessary to install the 32-bit drivers:

#### For Intel

```
# xbps-install -Sy mesa-32bit mesa-dri-32bit mesa-vulkan-intel-32bit vulkan-loader-32bit
```

#### For AMD

```
# xbps-install -Sy vulkan-loader-32bit amdvlk-32bit mesa-32bit mesa-dri-32bit
```

#### For Nvidia

```
# xbps-install -Sy nvidia-libs-32bit
```

## CPU firmware

To keep the firmware of your CPU up to date it is necessary to install the correct microcode:

### For Intel

(The Intel microcode requires that you are using the nonfree repository)

```
# xbps-install -Sy intel-ucode
```

And regenerate the initramfs:

```
# xbps-reconfigure -f linux<version>
```

### For AMD

```
# xbps-install -Sy linux-firmware-amd
```

## Nvidia and wayland

For Nvidia to work correctly with Wayfire you'll have to add the boot parameter to `/boot/loader/void-options.conf`.

```
nvidia-drm.modeset=1
```

And reconfigure the kernel:

```
# xbps-reconfigure -f linux<version>
```
